> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Update an attendance marking type

POST https://ssuccessv2.com/app/api/v1/attendance/marking-type/update/{id}
Content-Type: application/json

Updates a global attendance marking type. Requires edit-attendance permission and edit-settings permission.

Reference: https://docs.schoolset.io/api-reference/school-set-api/attendance/update-marking-type

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `id` (integer, required)

### Body (application/json)

This endpoint expects an object.

- `name` (string, required)
- `category` (enum, required)
  - Allowed values: `positive`, `negative`, `neutral`
- `color` (string, required)
- `description` (string, optional, nullable)
- `ask_for_permission` (boolean, optional)
- `allow_note` (boolean, optional)
- `require_note` (boolean, optional)
- `icon` (string, optional, nullable)
- `active` (boolean, optional)

## Response

### 200

Marking type updated.

- `status` (string, optional)
- `message` (string, optional)
- `data` (ApiV1AttendanceMarkingTypeUpdateIdPostResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 403 Forbidden Error

Permission denied.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

Marking type not found.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Validation failed.

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Types

### ApiV1AttendanceMarkingTypeUpdateIdPostResponsesContentApplicationJsonSchemaData

## Examples

**Request**

```json
{
  "name": "Excused",
  "category": "neutral",
  "color": "#64748B",
  "description": "Absence approved by the school",
  "ask_for_permission": true,
  "allow_note": true,
  "require_note": false,
  "icon": "info",
  "active": true
}
```

**Response**

```json
{
  "status": "success",
  "message": "Updated successfully.",
  "data": {
    "id": 8,
    "name": "Excused",
    "active": true,
    "description": "Absence approved by the school",
    "category": "neutral",
    "color": "#64748B",
    "icon": "info",
    "ask_for_permission": true,
    "allow_note": true,
    "require_note": false
  }
}
```

**SDK Code**

```python Attendance_updateMarkingType_example
import requests

url = "https://ssuccessv2.com/app/api/v1/attendance/marking-type/update/8"

payload = {
    "name": "Excused",
    "category": "neutral",
    "color": "#64748B",
    "description": "Absence approved by the school",
    "ask_for_permission": True,
    "allow_note": True,
    "require_note": False,
    "icon": "info",
    "active": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Attendance_updateMarkingType_example
const url = 'https://ssuccessv2.com/app/api/v1/attendance/marking-type/update/8';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"Excused","category":"neutral","color":"#64748B","description":"Absence approved by the school","ask_for_permission":true,"allow_note":true,"require_note":false,"icon":"info","active":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Attendance_updateMarkingType_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/attendance/marking-type/update/8"

	payload := strings.NewReader("{\n  \"name\": \"Excused\",\n  \"category\": \"neutral\",\n  \"color\": \"#64748B\",\n  \"description\": \"Absence approved by the school\",\n  \"ask_for_permission\": true,\n  \"allow_note\": true,\n  \"require_note\": false,\n  \"icon\": \"info\",\n  \"active\": true\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Attendance_updateMarkingType_example
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/attendance/marking-type/update/8")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Excused\",\n  \"category\": \"neutral\",\n  \"color\": \"#64748B\",\n  \"description\": \"Absence approved by the school\",\n  \"ask_for_permission\": true,\n  \"allow_note\": true,\n  \"require_note\": false,\n  \"icon\": \"info\",\n  \"active\": true\n}"

response = http.request(request)
puts response.read_body
```

```java Attendance_updateMarkingType_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v1/attendance/marking-type/update/8")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Excused\",\n  \"category\": \"neutral\",\n  \"color\": \"#64748B\",\n  \"description\": \"Absence approved by the school\",\n  \"ask_for_permission\": true,\n  \"allow_note\": true,\n  \"require_note\": false,\n  \"icon\": \"info\",\n  \"active\": true\n}")
  .asString();
```

```php Attendance_updateMarkingType_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v1/attendance/marking-type/update/8', [
  'body' => '{
  "name": "Excused",
  "category": "neutral",
  "color": "#64748B",
  "description": "Absence approved by the school",
  "ask_for_permission": true,
  "allow_note": true,
  "require_note": false,
  "icon": "info",
  "active": true
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Attendance_updateMarkingType_example
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/attendance/marking-type/update/8");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Excused\",\n  \"category\": \"neutral\",\n  \"color\": \"#64748B\",\n  \"description\": \"Absence approved by the school\",\n  \"ask_for_permission\": true,\n  \"allow_note\": true,\n  \"require_note\": false,\n  \"icon\": \"info\",\n  \"active\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Attendance_updateMarkingType_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Excused",
  "category": "neutral",
  "color": "#64748B",
  "description": "Absence approved by the school",
  "ask_for_permission": true,
  "allow_note": true,
  "require_note": false,
  "icon": "info",
  "active": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/attendance/marking-type/update/8")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```